Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch
Class EmailSender

    java.lang.Object
      org.deegree.portal.owswatch.EmailSender

All Implemented Interfaces:
  Serializable

    public class EmailSender

extends Object
implements Serializable

This class responsible for sending emails to the registered users in case of faulty tests to the services

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  Moataz Elmasry, last edited by: $Author: jmays $
See Also:
  Serialized Form

Constructor Summary
`EmailSender(String mailFrom, String mailServer, List<String> receivers)`

Method Summary
`void` | `createAndSendMail(ServiceConfiguration serviceConfiguration, ValidatorResponse response, String protocolHttpaddress)` this method creates a mail from text fragments in the messages_en.properties and sends it to the owsWatch admin as defined in the WEB-INF/conf/owswatch/config.xml file.
`protected String` | `createEmailBody(ServiceConfiguration serviceConfiguration, ValidatorResponse response, String protocolHttpaddress)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailSender

    public EmailSender(String mailFrom,
                       String mailServer,
                       List<String> receivers)

Parameters:
  `mailFrom` -
  `mailServer` -
  `receivers` -

Method Detail

### createEmailBody

    protected String createEmailBody(ServiceConfiguration serviceConfiguration,
                                     ValidatorResponse response,
                                     String protocolHttpaddress)

### createAndSendMail

    public void createAndSendMail(ServiceConfiguration serviceConfiguration,
                                  ValidatorResponse response,
                                  String protocolHttpaddress)

  this method creates a mail from text fragments in the messages_en.properties and sends it to the owsWatch admin as defined in the WEB-INF/conf/owswatch/config.xml file. If sending the mail fails, an error messages is returned, else a success message is returned.

  Parameters:
    `serviceConfiguration` -
    `response` -
    `protocolHttpaddress` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org